View Issue Details

IDProjectCategoryView StatusLast Update
0017246LazarusOtherpublic2011-12-01 11:25
ReporterMarco van de VoortAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017246: Updated documentation script
DescriptionThis is an update of lcl/html/build_lcl_html.sh .

It takes care of the fact that fpdoc is still "declare before use", and adds a predefined order to the processing of units for documentation purposes.

The result is still adaptive (new units are still auto added to the end, units that disappear are dropped from the list).

The help (html or chm) is a lot better hyperlinked as a result, and increases significantly.
Additional Informationbtw No documentation category ?
TagsNo tags attached.
Fixed in Revision28095
LazTarget-
Widgetset
Attached Files

Activities

2010-08-22 20:04

 

build_lcl_html.sh (3,040 bytes)

Marco van de Voort

2010-10-09 19:57

manager   ~0041660

Hmm, I noticed that units _must_ have a .xml in the docs/xml/lcl dir for this.

Currently this is not the case for (the relatively new) unit lclbase.

Issue History

Date Modified Username Field Change
2010-08-22 20:04 Marco van de Voort New Issue
2010-08-22 20:04 Marco van de Voort File Added: build_lcl_html.sh
2010-08-22 20:04 Marco van de Voort LazTarget => -
2010-08-23 11:14 Vincent Snijders Status new => assigned
2010-08-23 11:14 Vincent Snijders Assigned To => Vincent Snijders
2010-10-09 19:57 Marco van de Voort Note Added: 0041660
2010-11-05 12:44 Vincent Snijders Fixed in Revision => 28095
2010-11-05 12:44 Vincent Snijders Status assigned => resolved
2010-11-05 12:44 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2010-11-05 12:44 Vincent Snijders Resolution open => fixed
2011-12-01 11:25 Marc Weustink Status resolved => closed